Loading...
Searching...
No Matches
segment.h File Reference
Base API » Fiasco extensions

Segment handling (x86). More...

`#include <l4/sys/ipc.h>`
`#include <l4/sys/task.h>`
`#include <l4/sys/thread.h>`
Include dependency graph for segment.h:

Go to the source code of this file.

## Enumerations

enum | L4_task_ldt_x86_consts { L4_TASK_LDT_X86_ENTRY_SIZE = 8 , L4_TASK_LDT_X86_MAX_ENTRIES }
| Contants for LDT handling. More...

## Functions

long | fiasco_ldt_set (l4_cap_idx_t task, void *ldt, unsigned int num_desc, unsigned int entry_number_start, l4_utcb_t *utcb)
| Set LDT segments descriptors.
long | fiasco_gdt_set (l4_cap_idx_t thread, void *desc, unsigned int size, unsigned int entry_number_start, l4_utcb_t *utcb)
| Set GDT segment descriptors.
unsigned | fiasco_gdt_get_entry_offset (l4_cap_idx_t thread, l4_utcb_t *utcb)
| Return the offset of the entry in the GDT.

## Detailed Description

Segment handling (x86).

Definition in file segment.h.

## Enumeration Type Documentation

## L4_task_ldt_x86_consts

enum L4_task_ldt_x86_consts

Contants for LDT handling.

Enumerator
L4_TASK_LDT_X86_ENTRY_SIZE | Size of an LDT entry.
L4_TASK_LDT_X86_MAX_ENTRIES | Maximum number of LDT entries that can be written with one call.

Definition at line 75 of file segment.h.